DOMCharacterData::appendData
DOMCharacterData::insertData
DOMCharacterData
PHP Manual

# DOMCharacterData::deleteData

(No version information available, might be only in CVS)

DOMCharacterData::deleteData — Remove a range of characters from the node

### Description

void DOMCharacterData::deleteData ( int `$offset` , int `$count` )

Deletes `count` characters starting from position `offset` .

### Parameters

`offset`

  The offset from which to start removing.

`count`

  The number of characters to delete. If the sum of `offset` and `count` exceeds the length, then all characters to the end of the data are deleted.

### Return Values

No value is returned.

### Errors/Exceptions

`DOM_INDEX_SIZE_ERR`

  Raised if `offset` is negative or greater than the number of 16-bit units in data, or if `count` is negative.

### See Also

- DOMCharacterData::appendData
- DOMCharacterData::insertData
- DOMCharacterData::replaceData
- DOMCharacterData::substringData

DOMCharacterData::appendData
DOMCharacterData::insertData
DOMCharacterData
PHP Manual